> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Jira Settings



## OpenAPI

````yaml /api-reference/openapi.json put /api/integrations/jira
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/integrations/jira:
    put:
      tags:
        - integrations
      summary: Update Jira Settings
      operationId: update_jira_settings_api_integrations_jira_put
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JiraIntegrationUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JiraIntegrationSettings'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    JiraIntegrationUpdate:
      properties:
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
        site_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Site Url
        email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Email
        api_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Token
        clear_api_token:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Clear Api Token
        project_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Key
        issue_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Type
        labels:
          anyOf:
            - {}
            - type: 'null'
          title: Labels
        default_assignee:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Assignee
        create_issues:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Create Issues
        update_issues_on_resolve:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Update Issues On Resolve
        sync_status_from_jira:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Sync Status From Jira
        sync_comments_from_jira:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Sync Comments From Jira
        webhook_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Secret
        clear_webhook_secret:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Clear Webhook Secret
      type: object
      title: JiraIntegrationUpdate
    JiraIntegrationSettings:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: false
        site_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Site Url
        email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Email
        has_api_token:
          type: boolean
          title: Has Api Token
          default: false
        project_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Key
        issue_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Type
        labels:
          items:
            type: string
          type: array
          title: Labels
        default_assignee:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Assignee
        create_issues:
          type: boolean
          title: Create Issues
          default: true
        update_issues_on_resolve:
          type: boolean
          title: Update Issues On Resolve
          default: true
        sync_status_from_jira:
          type: boolean
          title: Sync Status From Jira
          default: true
        sync_comments_from_jira:
          type: boolean
          title: Sync Comments From Jira
          default: false
        has_webhook_secret:
          type: boolean
          title: Has Webhook Secret
          default: false
        webhook_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Secret
        owner_user_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Owner User Id
      type: object
      title: JiraIntegrationSettings
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````